Systems update/upgrade crashed system

Team,

Updating/upgrading last night has asterisk failing now.

PBX is down.

Web GUI giving
Incompatible file format: The encoded file has format major ID 4, whereas the Loader expects 5

fwconsole 

> PHP Fatal error:  Incompatible file format:  The encoded file has format major ID 4, whereas the Loader expects 5 in /var/www/html/admin/modules/sysadmin/agi-bin/LoadLicenseIfExists.php on line 0
> Whoops\Exception\ErrorException: Incompatible file format:  The encoded file has format major ID 4, whereas the Loader expects 5 in file /var/www/html/admin/modules/sysadmin/agi-bin/LoadLicenseIfExists.php on line 0
> Stack trace:
>   1. () /var/www/html/admin/modules/sysadmin/agi-bin/LoadLicenseIfExists.php:0

Troubleshooting steps tried:

php -v
PHP Warning: PHP Startup: digium_register: Unable to initialize module
Module compiled with module API=20090626
PHP compiled with module API=20100525
These options need to match
in Unknown on line 0
PHP 5.4.45 (cli) (built: Feb 18 2017 15:55:26)
Copyright © 1997-2014 The PHP Group
Zend Engine v2.4.0, Copyright © 1998-2014 Zend Technologies
with Zend Guard Loader v3.3, Copyright © 1998-2013, by Zend Technologies

Step - Went ahead and for test purposes, commented the digium module from /etc/php.d/digium_register.ini

php -v

PHP 5.4.45 (cli) (built: Feb 18 2017 15:55:26) 
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2014 Zend Technologies
    with Zend Guard Loader v3.3, Copyright (c) 1998-2013, by Zend Technologies

Still No joy - system is still down. - all help appreciated.

Background:
System running on : SHMZ release 6.6 (Final)
System has been running stable for almost a year.

How did you end up on PHP 5.4? The 13 Distro has been using 5.3.28 since day one.

# php -v
PHP 5.3.28 (cli) (built: Mar 31 2014 19:09:21)
Copyright (c) 1997-2013 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2013 Zend Technologies
    with Zend Guard Loader v3.3, Copyright (c) 1998-2010, by Zend Technologies

Simply update command. :frowning:

Anyways, we are now trying a fresh install.

And still struggling.

Opening another thread for it.

This topic was automatically closed 365 days after the last reply. New replies are no longer allowed.